{
  config,
  pkgs,
  inputs,
  system,
  lib,
  ...
}: let
  domain = "news.cyplo.dev";
in {
  disabledModules = ["services/web-apps/freshrss.nix"];
  imports = [../nginx.nix "${inputs.nixpkgs-nixos-unstable}/nixos/modules/services/web-apps/freshrss.nix"];

  services.nginx.virtualHosts."${domain}" = {
    forceSSL = true;
    enableACME = true;
  };
  sops.secrets."freshrss-password" = {
    sopsFile = ./rss.sops.yaml;
    owner = "freshrss";
  };
  services.freshrss = {
    enable = true;
    package = inputs.nixpkgs-nixos-unstable.legacyPackages."${system}".freshrss;
    virtualHost = domain;
    baseUrl = "https://${domain}";
    database.type = "sqlite";
    defaultUser = "cyryl";
    passwordFile = config.sops.secrets.freshrss-password.path;
  };
}
