{
  config,
  pkgs,
  lib,
  ...
}: {
  networking.hostName = "thinky";

  imports = [
    ./hardware-configuration.nix
    ../../backups.nix
    ../../boot.nix
    ../../gfx-intel.nix
    ../../git
    ../../gui
    ../../i3
    ../../mercurial
    ../../vim
    ../../zsh
  ];

  time.timeZone = "Europe/Warsaw";

  boot.kernelPackages = pkgs.linuxPackages_latest;
  hardware.trackpoint.enable = true;
  services.thermald.enable = true;
  zramSwap = {
    enable = true;
    algorithm = "zstd";
    memoryPercent = 50;
  };
  nixpkgs.config.allowUnfreePredicate = pkg:
    builtins.elem (lib.getName pkg) [
      "spotify"
    ];
  home-manager.users.cyryl = {...}: {
    imports = [../../home-manager/programs/termite.nix];
  };
}
