{ config, pkgs, ... }: {
  console.keyMap = "pl2";
  imports = [ ./tailscale ];
  services = {
    udev.packages = [ pkgs.android-udev-rules ];
    ratbagd.enable = true;

    gvfs.enable = true;
    fwupd = {
      enable = true;
      package = pkgs.fwupd;
    };

    power-profiles-daemon.enable = true;
    upower.enable = true;
    fstrim.enable = true;

    avahi = {
      enable = true;
      nssmdns = true;
    };

    geoclue2.enable = true;
  };
}
