{
  config,
  pkgs,
  ...
}: {
  services = {};

  xsession = {enable = false;};

  home.packages =
    (with pkgs; [gnome-usage gnome3.gnome-tweaks])
    ++ (with pkgs.gnomeExtensions; [
      caffeine
      clipboard-indicator
      gsconnect
      vitals
    ]);
  dconf.settings = {
    "org/gnome/mutter" = {
      # https://github.com/NixOS/nixpkgs/issues/114514#issuecomment-1177709271
      experimental-features = ["scale-monitor-framebuffer"];
    };
    "org/gnome/shell" = {
      disable-user-extensions = false;

      # `gnome-extensions list` for a list
      # installed via system.nix
      enabled-extensions = [
        "caffeine@patapon.info"
        "clipboard-indicator@tudmotu.com"
        "Vitals@CoreCoding.com"
      ];
    };
  };
}
