{ config, pkgs, discord, inputs, nixpkgs-nixos-unstable
, nixpkgs-nixos-stable-and-unfree, nixpkgs-nixos-unstable-and-unfree, ... }: {
  security.chromiumSuidSandbox.enable = true;

  home-manager.users.cyryl = { ... }: {
    gtk = {
      enable = true;
      iconTheme = {
        name = "Adwaita";
        package = pkgs.gnome3.adwaita-icon-theme;
      };
    };
    qt = { enable = true; };

    imports = [ ];

    programs.chromium.enable = true;
    programs.firefox.enable = true;
    home.packages = (with pkgs;
      with pkgs.gnome3;
      with pkgs.python39Packages; [
        anarchism
        calibre
        cheese
        digikam
        electrum
        element-desktop
        eog
        evince
        fontconfig
        freecad
        ghidra-bin
        gimp
        glxinfo
        gnome-screenshot
        gparted
        inkscape
        kdenlive
        koreader
        krusader
        libreoffice
        mediainfo
        mindforger
        modem-manager-gui
        nautilus
        nyxt
        obs-studio
        openscad
        passff-host
        pdfarranger
        pkgs.gsettings-desktop-schemas
        pkgs.shotwell
        qcad
        qemu
        remmina
        signal-desktop
        simple-scan
        spotify
        ssb-patchwork
        logseq
        tigervnc
        tlaplusToolbox
        tlaps
        uefitool
        vlc
        winePackages.full
        wireshark
        wsjtx
        xclip
        xidlehook
        yubico-piv-tool
        yubikey-manager-qt
        yubikey-personalization
        yubikey-personalization-gui
      ]) ++ (with nixpkgs-nixos-unstable; [ gnucash thunderbird ])
      ++ [ nixpkgs-nixos-stable-and-unfree.discord ]
      ++ (with nixpkgs-nixos-unstable-and-unfree; [
        hopper
        jetbrains.rust-rover
        jetbrains.clion
      ]);
  };
}
