{
  config,
  pkgs,
  ...
}: {
  imports = [./server-security.nix ./tailscale];
  networking.nameservers = [
    "100.100.100.100"
    "9.9.9.9"
    "2620:fe::fe"
    "149.112.112.112"
    "2620:fe::9"
  ];
  services.nscd = {
    enable = true;
    enableNsncd = true;
  };
  system.stateVersion = "23.11";
  system.activationScripts.diff = ''
    ${pkgs.nvd}/bin/nvd --nix-bin-dir=${pkgs.nix}/bin diff /run/current-system "$systemConfig"
  '';
}
